org.jbpm.services.task.audit

## Enum BAMTaskSummaryQueryBuilder.OrderBy

- java.lang.Object
- - java.lang.Enum<BAMTaskSummaryQueryBuilder.OrderBy>
  - - org.jbpm.services.task.audit.BAMTaskSummaryQueryBuilder.OrderBy

- All Implemented Interfaces:
    Serializable, Comparable<BAMTaskSummaryQueryBuilder.OrderBy>
  Enclosing interface:
    BAMTaskSummaryQueryBuilder

      public static enum BAMTaskSummaryQueryBuilder.OrderBy
      extends Enum<BAMTaskSummaryQueryBuilder.OrderBy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `createdDate`
    `endDate`
    `processInstanceId`
    `startDate`
    `taskId`
    `taskName`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BAMTaskSummaryQueryBuilder.OrderBy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BAMTaskSummaryQueryBuilder.OrderBy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### taskId

          public static final BAMTaskSummaryQueryBuilder.OrderBy taskId

    - #### startDate

          public static final BAMTaskSummaryQueryBuilder.OrderBy startDate

    - #### endDate

          public static final BAMTaskSummaryQueryBuilder.OrderBy endDate

    - #### createdDate

          public static final BAMTaskSummaryQueryBuilder.OrderBy createdDate

    - #### taskName

          public static final BAMTaskSummaryQueryBuilder.OrderBy taskName

    - #### processInstanceId

          public static final BAMTaskSummaryQueryBuilder.OrderBy processInstanceId

  - ### Method Detail

    - #### values

          public static BAMTaskSummaryQueryBuilder.OrderBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BAMTaskSummaryQueryBuilder.OrderBy c : BAMTaskSummaryQueryBuilder.OrderBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BAMTaskSummaryQueryBuilder.OrderBy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.